Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Notify_Event_Map Class Reference

`#include <Notify_Event_Map.h>`

Collaboration diagram for TAO_Notify_Event_Map:

[legend]
List of all members.

## Public Methods
| TAO_Notify_Event_Map (TAO_Notify_EMO_Factory* emo_factory)
virtual | ~TAO_Notify_Event_Map ()
void | init (CORBA::Environment &ACE_TRY_ENV)
void | shutdown (CORBA::Environment &ACE_TRY_ENV)
void | subscribe_for_events (TAO_Notify_EventListener* event_listener, TAO_Notify_EventType_List& update, const CosNotification::EventTypeSeq & added, CORBA::Environment &ACE_TRY_ENV)
void | unsubscribe_from_events (TAO_Notify_EventListener* event_listener, TAO_Notify_EventType_List &update, const CosNotification::EventTypeSeq & removed, CORBA::Environment &ACE_TRY_ENV)
void | update_publication_list (const CosNotification::EventTypeSeq & added, const CosNotification::EventTypeSeq & removed, TAO_Notify_EventType_List &added_list, TAO_Notify_EventType_List &removed_list, CORBA::Environment &ACE_TRY_ENV)
void | register_for_subscription_updates (TAO_Notify_UpdateListener* update_listener, CORBA::Environment &ACE_TRY_ENV)
void | unregister_from_subscription_updates (TAO_Notify_UpdateListener* update_listener, CORBA::Environment &ACE_TRY_ENV)
void | register_for_publication_updates (TAO_Notify_UpdateListener* update_listener, CORBA::Environment &ACE_TRY_ENV)
void | unregister_from_publication_updates (TAO_Notify_UpdateListener* update_listener, CORBA::Environment &ACE_TRY_ENV)
int | find (TAO_Notify_EventType const & event_type, TAO_Notify_EventListener_List*& event_listener_list)
CosNotification::EventTypeSeq* | obtain_offered_types (void)
CosNotification::EventTypeSeq* | obtain_subscription_types (void)
TAO_Notify_UpdateListener_List* | subscription_change_listeners (void)
TAO_Notify_UpdateListener_List* | publication_change_listeners (void)
TAO_Notify_EventListener_List* | default_subscription_list (void)
## Protected Types
typedef ACE_Hash_Map_Manager< TAO_Notify_EventType, TAO_Notify_EventListener_List*, TAO_SYNCH_MUTEX> | EVENT_RECIPIENT_MAP
## Protected Attributes
EVENT_RECIPIENT_MAP | event_recipient_map_
TAO_Notify_EventListener_List* | default_subscription_list_
TAO_Notify_EventType_List | publication_list_
TAO_Notify_EventType_List | subscription_list_
TAO_Notify_UpdateListener_List* | subscription_change_listeners_
TAO_Notify_UpdateListener_List* | publication_change_listeners_
TAO_Notify_EMO_Factory* | emo_factory_
TAO_Notify_Collection_Factory* | collection_factory_

## Member Typedef Documentation

typedef ACE_Hash_Map_Manager<TAO_Notify_EventType, TAO_Notify_EventListener_List*, TAO_SYNCH_MUTEX> TAO_Notify_Event_Map::EVENT_RECIPIENT_MAP`[protected]`

## Constructor & Destructor Documentation

const char *get_rcsid_Notify_ TAO_Notify_Event_Map::TAO_Notify_Event_Map ( | TAO_Notify_EMO_Factory * emo_factory )`[inline]`

TAO_Notify_Event_Map::~TAO_Notify_Event_Map ( | )`[virtual]`

## Member Function Documentation

TAO_Notify_EventListener_List* TAO_Notify_Event_Map::default_subscription_list ( | void )

int TAO_Notify_Event_Map::find ( | TAO_Notify_EventType const & event_type,
| TAO_Notify_EventListener_List *& event_listener_list )

void TAO_Notify_Event_Map::init ( | CORBA::Environment & ACE_TRY_ENV )

CosNotification::EventTypeSeq * TAO_Notify_Event_Map::obtain_offered_types ( | void )

CosNotification::EventTypeSeq * TAO_Notify_Event_Map::obtain_subscription_types ( | void )

TAO_Notify_UpdateListener_List* TAO_Notify_Event_Map::publication_change_listeners ( | void )

void TAO_Notify_Event_Map::register_for_publication_updates ( | TAO_Notify_UpdateListener * update_listener,
| CORBA::Environment & ACE_TRY_ENV )

void TAO_Notify_Event_Map::register_for_subscription_updates ( | TAO_Notify_UpdateListener * update_listener,
| CORBA::Environment & ACE_TRY_ENV )

void TAO_Notify_Event_Map::shutdown ( | CORBA::Environment & ACE_TRY_ENV )

void TAO_Notify_Event_Map::subscribe_for_events ( | TAO_Notify_EventListener * event_listener,
| TAO_Notify_EventType_List & update,
| const CosNotification::EventTypeSeq & added,
| CORBA::Environment & ACE_TRY_ENV )

TAO_Notify_UpdateListener_List* TAO_Notify_Event_Map::subscription_change_listeners ( | void )

void TAO_Notify_Event_Map::unregister_from_publication_updates ( | TAO_Notify_UpdateListener * update_listener,
| CORBA::Environment & ACE_TRY_ENV )

void TAO_Notify_Event_Map::unregister_from_subscription_updates ( | TAO_Notify_UpdateListener * update_listener,
| CORBA::Environment & ACE_TRY_ENV )

void TAO_Notify_Event_Map::unsubscribe_from_events ( | TAO_Notify_EventListener * event_listener,
| TAO_Notify_EventType_List & update,
| const CosNotification::EventTypeSeq & removed,
| CORBA::Environment & ACE_TRY_ENV )

void TAO_Notify_Event_Map::update_publication_list ( | const CosNotification::EventTypeSeq & added,
| const CosNotification::EventTypeSeq & removed,
| TAO_Notify_EventType_List & added_list,
| TAO_Notify_EventType_List & removed_list,
| CORBA::Environment & ACE_TRY_ENV )

## Member Data Documentation

TAO_Notify_Collection_Factory * TAO_Notify_Event_Map::collection_factory_`[protected]`

TAO_Notify_EventListener_List * TAO_Notify_Event_Map::default_subscription_list_`[protected]`

TAO_Notify_EMO_Factory * TAO_Notify_Event_Map::emo_factory_`[protected]`

EVENT_RECIPIENT_MAP TAO_Notify_Event_Map::event_recipient_map_`[protected]`

TAO_Notify_UpdateListener_List * TAO_Notify_Event_Map::publication_change_listeners_`[protected]`

TAO_Notify_EventType_List TAO_Notify_Event_Map::publication_list_`[protected]`

TAO_Notify_UpdateListener_List * TAO_Notify_Event_Map::subscription_change_listeners_`[protected]`

TAO_Notify_EventType_List TAO_Notify_Event_Map::subscription_list_`[protected]`

The documentation for this class was generated from the following files:

- Notify_Event_Map.h
- Notify_Event_Map.cpp